# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_customsearch 0.18.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_customsearch".freeze
  s.version = "0.18.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_customsearch" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2022-10-26"
  s.description = "Microsoft Azure Cognitive Services Custom Search Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/custom_instance.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/custom_search_client.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/creative_work.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/error_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/error_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/error_sub_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/identifiable.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/query.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/query_context.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/response_base.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/safe_search.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/search_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/search_results_answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/text_format.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/thing.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/web_meta_tag.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/web_page.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/models/web_web_answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_customsearch/module_definition.rb".freeze, "lib/azure_cognitiveservices_customsearch.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/customsearch_latest_profile_client.rb".freeze, "lib/profiles/latest/customsearch_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/customsearch_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Custom Search.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
